# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)

%YAML 1.2
---
$id: "http://devicetree.org/schemas/media/amlogic,meson-ir-tx.yaml#"
$schema: "http://devicetree.org/meta-schemas/core.yaml#"

title: Amlogic Meson IR transmitter

maintainers:
  - Viktor Prutyanov <viktor.prutyanov@phystech.edu>

description: |
  Some Amlogic SoCs such as A311D and T950D4 have IR transmitter
  (also called blaster) controller onboard. It is capable of
  sending IR signals with arbitrary carrier frequency and duty cycle.

properties:
  compatible:
    oneOf:
      - const: amlogic,meson-ir-tx
      - items:
          - const: amlogic,meson-g12a-ir-tx
          - const: amlogic,meson-ir-tx

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 2

  clock-names:
    items:
      - const: sysclk
      - const: xtal

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - clock-names

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>
    #include <dt-bindings/clock/g12a-clkc.h>

    ir@ff80014c {
      compatible = "amlogic,meson-g12a-ir-tx", "amlogic,meson-ir-tx";
      reg = <0xff80014c 0x10>;
      interrupts = <0 198 IRQ_TYPE_EDGE_RISING>;
      clocks = <&clkc CLKID_CLK81>, <&xtal>;
      clock-names = "sysclk", "xtal";
    };
